Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Interface ModelDisplay

All Known Implementing Classes:
  World

    public interface ModelDisplay

Interface to used to communicate between a model and its display Copyright Georgia Institute of Technology 2004

Author:
  Barb Ericson ericson@cc.gatech.edu

Method Summary
`void` | `addModel(Object model)` method to add the model to the world
`void` | `clearBackground()` Method to clear the background
`Graphics` | `getGraphics()` Method that returns the graphics context for this model display
`int` | `getHeight()` Method to get the height of the display
`int` | `getWidth()` Method to get the width of the display
`void` | `modelChanged()` method to notify the thing that displays that the model has changed
`void` | `remove(Object model)` Method to remove the model from the world

Method Detail

### modelChanged

    void modelChanged()

  method to notify the thing that displays that the model has changed

### addModel

    void addModel(Object model)

  method to add the model to the world

  Parameters:
    `model` - the model object to add

### remove

    void remove(Object model)

  Method to remove the model from the world

  Parameters:
    `model` - the model object to remove

### getGraphics

    Graphics getGraphics()

  Method that returns the graphics context for this model display

  Returns:
    the graphics context

### clearBackground

    void clearBackground()

  Method to clear the background

### getWidth

    int getWidth()

  Method to get the width of the display

  Returns:
    the width in pixels of the display

### getHeight

    int getHeight()

  Method to get the height of the display

  Returns:
    the height in pixels of the display

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD